/*

Copyright (C) 2000, 2001 Christian Kreibich <christian@whoop.org>.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to
deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
sell copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies of the Software and its documentation and acknowledgment shall be
given in the documentation and software packages that this Software was
used.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/
#ifndef __nd_vlan_h
#define __nd_vlan_h

#include <protocols/vlan/libnd_vlan.h>

#include <nd.h>

#include <net/if.h>
#include <netinet/if_ether.h>

extern ND_MenuData vlan_menu_type_data[]; /* See nd_vlan.c */

/* These are the implementations for Ethernet of ND_Protocol's callbacks: */
GtkWidget *nd_vlan_create_gui(LND_Trace *trace, LND_ProtoInfo *pinf);
void       nd_vlan_set_gui(const LND_Packet *packet, LND_ProtoInfo *pinf);

/* Generic accessor function for the Ethernet Protocol implementation: */
LND_Protocol *nd_vlan_get(void);
ND_Protocol  *nd_vlan_get_gui(void);

/* Helper functions to set a trace's Ethernet GUI table to a packet's content: */
void       nd_vlan_set_gui_tci(LND_ProtoInfo *pinf, struct lnd_vlan_header *vh);
void       nd_vlan_set_gui_proto(LND_ProtoInfo *pinf, struct lnd_vlan_header *vh);

#endif
